* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    background-color: white;
    font-size: 1em;
}

body {
    display: block;
    margin: 80px auto;
    max-width: 800px;
    min-width: 300px;
}

header {
    display: block;
    margin: 80px auto;
}

header h1 {
    background-image: linear-gradient(-260deg, 
        purple, 
        blue, 
        green, 
        yellow, 
        orange, 
        red
    );
    background-clip: text;
    animation: textclip 3s linear infinite;
    background-clip: text;
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    display: inline-block;
    background-size: 200% auto;
    font-size: 3.2rem;
}

h2 {
    font-size: 1.5rem;
}

h3 {
    font-size: 1.18rem;
}

header p {
    color: grey;
    font-size: 1.1rem;
}

a {
    text-decoration: none;
    color: blue;
    cursor: pointer;
}

strong {
    font-weight: bold;
}

ul {
    margin: 5px 20px;
}

.container {
    margin-bottom: 28px;
}

.container p {
    margin: 10px 0;
}

.tables {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    margin: 10px 0;
}

table, td, th {
    border: solid 1px black;
}

table {
    border-collapse: collapse;
}

tr {
    padding: 5px;
}

td, th {
    padding: 5px 20px;
}

summary {
    cursor: pointer;
}

summary::marker {
    color: orangered;
}

article {
    margin: 30px 5px;
}

pre {
    display: block;
    margin: 10px auto;
    font-family: 'Courier New', Courier, monospace;
}

.box-container {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(2, 1fr);
}

.box {
    padding: 15px;
    box-shadow: 8px 8px 20px 8px lightgray;
    border-radius: 25px;
    margin: 10px 0;
}

.message {
    padding: 15px 0;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    pointer-events: none;
}

.message .content {
    display: block;
    margin: 0 auto;
}

.message .content:is(p) {
    background-color: black;
    color: white;
    padding: 30px;
    border-radius:  0 40px 40px 40px;
    font-size: 1rem;
}

.message .content:is(img) {
    width: 100%;
}

@keyframes textclip {
    to {
        background-position: 200% center;
    }
}

/* Responsive */
@media screen and (max-width: 720px) {
    body {
        margin: 20px;
    }

    header h1 {
        font-size: 2.25rem;
    }

    header p {
        font-size: 1rem;
    }

    .tables {
        display: block;
    }

    table {
        margin: 20px auto;
    }

    pre {
        white-space: normal;
    }

    .box-container {
	grid-template-columns: 1fr;
	gap: 0;
    }

    .box {
        margin: 20px auto;
	width: 100%;
    }
}

/* WebSiteCarbon */
.carbonbadge {
    margin-top: 20px;
}
